| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| objectIdList | yes | []DeleteItem | Delete object list. |
| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| objectId | yes | string | Object ID |
| deleteType | yes | int | Delete type:0 means restore to object, 1 means put the object in the recycle bin, 2 means delete the object. |
| recyclingBinTime | no | int | Time to put into the recycle bin |
| force | no | bool | default is false. Held objects/tangibles are not allowed to be modified by default unless the user has permission and explicitly sets force=true. |
| Parameter Name | Required | Type | Explanation |
|---|---|---|---|
| errorCode | yes | string | Error code |
| errorInfo | yes | string | Error information |
Authorization: Bearer ********************curl --location 'https://mma.tvunetworks.com/api/objectd/v1/query' \
--header 'SID: 92575d36dcb631ac94745e6b157de17a5a13d65b31e44869f06854ab928dd80235d4daae8696b4a92a7be5f802c45a219648701fc9ca59f44e9c0f022d5d38a7' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"query": "mutation deleteObject { deleteObject(input: { objectList: [{ objectId: \"1782912\", deleteType: 2, recyclingBinTime: 0 }] }) { errorCode errorInfo } }"
}'{
"data": {
"deleteObject": {
"errorCode": "0x0",
"errorInfo": "Succ"
}
}
}